Subject: bug#17519: [PATCH] take into account QuantumScale when reading imagemagick images

From: Nicolas Léveillé <[email-masked]>
Date: Tue, 20 May 2014 09:37:17 +0200

I'll come back to you once I'll have tested your patch.

Do you object with the other cleanups or is it poor form in this project to clean up code while fixing a bug? (Not sure what the philosophy in this project is, I tend to alway opportunistically do a little clean up (in separate commits/patches) when I fix bugs as a form of low intensity maintenance work)

Cheers,
Nicolas

On 2014-05-19, at 22:04 , Paul Eggert <[email-masked]> wrote:

> Thanks for reporting this. Does the attached simpler patch fix the problem for you?  Dividing by QuantumRange instead of multiplying by QuantumScale avoids potential double-rounding problems in future versions of ImageMagick.
> <imagemagick.patch>